Package org.h2gis.functions.spatial.properties

# Class ST_PointN

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_PointN

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_PointN extends org.h2gis.api.DeterministicScalarFunction
Returns the nth point of a LINESTRING or a MULTILINESTRING containing exactly one LINESTRING; NULL otherwise. As the OGC specifies, ST_PointN is 1-N based.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_PointN()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`getPointN(org.locationtech.jts.geom.Geometry geometry, int pointIndex)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_PointN

public ST_PointN()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getPointN

public static org.locationtech.jts.geom.Geometry getPointN(org.locationtech.jts.geom.Geometry geometry, int pointIndex) throws SQLException

Parameters:
  `geometry` - Geometry instance
  `pointIndex` - Point index [1-NbPoints]
Returns:
  Returns the nth point of a LINESTRING or a MULTILINESTRING containing exactly one LINESTRING; NULL otherwise. As the OGC specifies, ST_PointN is 1-N based.
Throws:
  `SQLException` - if index is out of bound.